# List coupons (internal) **GET /admin/billing/coupons** Lists coupons newest first with the total that match, filtered by `status` (active, expired or deleted, worked out from the expiry and deletion dates), `duration`, creation date range and a case-insensitive `search` on code and name. `limit` defaults to 50 (at most 200). Super admin only. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Query parameters - **status** (string) active = not deleted and not past redeemBy; expired = past redeemBy; deleted = withdrawn in Stripe - **search** (string) Case-insensitive substring over coupon code and name - **duration** (string) - **createdFrom** (string(date-time)) Created at or after (ISO 8601) - **createdTo** (string(date-time)) Created at or before (ISO 8601) - **limit** (number) - **skip** (number) ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)